=== testing/web-platform/tests/resources/test/requirements.txt ===
html5lib==1.1
