=== testing/web-platform/tests/tools/docker/requirements.txt ===
pyyaml==6.0.1
types-pyyaml==6.0.12.20241230
requests==2.32.3
types-requests==2.32.0.20241016
