=== testing/web-platform/tests/tools/wave/requirements.txt ===
ua-parser==0.18.0
python-dateutil==2.9.0.post0
types-python-dateutil==2.9.0.20241206
