=== testing/web-platform/tests/tools/metadata/yaml/requirements.txt ===
pyyaml==6.0.1
types-pyyaml==6.0.12.20241230
