=== testing/web-platform/tests/tools/third_party/websockets/docs/requirements.txt ===
furo
sphinx
sphinx-autobuild
sphinx-copybutton
sphinx-inline-tabs
sphinxcontrib-spelling
sphinxcontrib-trio
sphinxext-opengraph
