=== debian/changelog ===
mozjs140 (140.4.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
    - CVE-2025-11711: Some non-writable Object properties could be modified
    - CVE-2025-11715: Memory safety bug

  [ Marco Trevisan (Treviño) ]
  * debian/gbp-repack-mozjs-source: Filter-out __pycache__ files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 08:08:52 -0400
