=== debian/changelog ===
mozjs140 (140.5.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-13016: Incorrect boundary conditions in the
      JavaScript: WebAssembly component

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Nov 2025 14:51:36 -0500
