=== debian/watch ===
Version: 5

# As of August 2020, there is not an official release of SpiderMonkey 78
# The tarball is built using firefox sources, excluding the unneeded files
# as per filtering done in debian/gbp.conf
# Also try
# http://ftp.gnome.org/pub/gnome/teams/releng/tarballs-needing-help/mozjs/
Source: https://ftp.mozilla.org/pub/firefox/releases/(140\.[\d.]+)esr/source/
Matching-Pattern: firefox-@ANY_VERSION@\.source@ARCHIVE_EXT@
Uversionmangle: s/esr$//
Pgp-Mode: auto
