## mozjs140 140.6.0

=== debian/changelog ===
mozjs140 (140.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * arm64: add Breaks on libgjs0 << 1.86.0-3.1

 -- NoisyCoil <noisycoil@debian.org>  Mon, 19 Jan 2026 01:44:40 +0100

mozjs140 (140.6.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2025-14325: JIT miscompilation in the JavaScript Engine: JIT component
    - CVE-2025-14330: JIT miscompilation in the JavaScript Engine: JIT component
  * Salsa CI: Stop explicitly disabling reprotest
  * Salsa CI: Skip redundant build jobs because this is only Architecture: any

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 09:23:25 -0500
