## mozjs140 140.7.0

=== debian/changelog ===
mozjs140 (140.7.0-2) unstable; urgency=medium

  * Cherry-pick patches to fix build with Python 3.14
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 31 Jan 2026 17:45:05 -0500

mozjs140 (140.7.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2026-0884: Use-after-free in the JavaScript Engine component
    - CVE-2026-0885: Use-after-free in the JavaScript GC component
    - CVE-2026-0891: Memory safety bugs
  * Remove three patches that are no longer needed.
    One is for armel which has been unable to build mozjs for a while, the
    other two are for mips* and ia64 which aren't used in Debian any more.
    Technically, the mips patch is useful for underpowered build machines
    but it doesn't appear there are any building mozjs currently.
    It's also from 4 years ago so hopefully machines have more RAM now.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Jan 2026 14:18:54 -0500
