=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mozjs140
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -20,7 +19,7 @@
                rustc (>= 1.76.0),
                tzdata,
                zip
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/140/latest
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/140/latest
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
