## mozjs140 140.8.0

=== debian/changelog ===
mozjs140 (140.8.0-1) unstable; urgency=high

  * New upstream release
    - CVE-2026-2763: Use-after-free in the JavaScript Engine component
    - CVE-2026-2764: Use-after-free in the JavaScript Engine: JIT component
    - CVE-2026-2765: Use-after-free in the JavaScript Engine component
    - CVE-2026-2766: Use-after-free in the JavaScript Engine: JIT component
    - CVE-2026-2783: Information disclosure due to JIT miscompilation
    - CVE-2026-2785: Invalid pointer in the JavaScript Engine component
    - CVE-2026-2786: Use-after-free in the JavaScript Engine component

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 25 Feb 2026 12:10:14 -0500
