=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: mozjs140
+Standards-Version: 4.7.3
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+           Marco Trevisan (Treviño) <marco@ubuntu.com>
 Section: libs
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
                cargo,
                cbindgen,
                clang,
-               autoconf,
-               automake,
                libreadline-dev,
                llvm,
-               zlib1g-dev (>= 1:1.2.3),
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
                python3-dev,
                python3-legacy-cgi,
                rustc (>= 1.76.0),
                tzdata,
-               zip
-Standards-Version: 4.7.3
+               zip,
+               zlib1g-dev
 Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs/tree/debian/140/latest
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs.git -b debian/140/latest
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
@@ -27,7 +26,7 @@
 Package: libmozjs-140-0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata
+Depends: tzdata, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libgjs0 (<< 1.86.0-3.1) [arm64]
 Description: SpiderMonkey JavaScript library
  SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
